Subject: Re[2]: Compression Question.

From: "Raquel Mendoza"<[email-masked]>
Date: Thu, 13 Aug 98 15:08:48 -0500

Please take me off the mailling list.

Thank You

Raquel
______________________________ Reply Separator _________________________________
Subject: Re: Compression Question.
Author:  <[email-masked] (Bob Luckin)> at Internet
Date:    04/08/98 11:02

Mike,
     
> I am running 2.4.2 beta 17 (executables only) taken from the HP archive 
> site (we are using HP-UX 10.20).
> 
> While on the fly uncompression of files works correctly, the server does 
> not seem to recompress them when we upload the files back to the server. 
> 
> GET /tmp/file (This works and gets /tmp/file.Z)
> PUT /tmp/file (This does not recompress the file) 
> 
> I have looked at both ftpaccess and ftpconversions which appear to be setup 
> correctly. it does not matter whether I use compress or gzip, the
> uncompression works but the compression on upload does not. 
> 
> Can anyone help ?
     
This is the expected behaviour.  Since there is no way to tell the FTP server 
whether you want a particular incoming file to be compressed or not, it makes 
sense to assume you're shipping it up the way you want it to appear, so 
that's what wu-ftpd does.
     
The compression will have to be done on the client side, before shipping.
     
(Theoretically, it would be possible to write a server that looks at the 
file name specified for the server side, and if it ends in ".Z" or ".gz" or 
whatever, it could analyse the incoming file and see if it is already 
compressed and if not, run the appropriate program.  But then you'd have the 
problem of how to tell if someone wants to upload a file ending in ".Z" but 
not have it compressed...  There are ways round this too, but it's a 
question of whether it's worth the development effort.)
     
Cheers, Bob